Subject: [bug#42063] Fixes build of python-pathpy

From: Matthew Kraai <[email-masked]>
Date: Sun, 28 Jun 2020 21:37:32 -0700

Hi,

On Sun, Jun 28, 2020 at 11:26:11PM +0200, Ludovic Courtès wrote:
> Matthew Kraai <[email-masked]> skribis:
> 
> > This patch fixes the build of python-pathpy.  Without this patch, it
> > fails to build with the following errors:
> 
> I built the dependents returned by:
> 
>   guix refresh -l python-pytest-flake8
> 
> and found several build failures, some probably introduced by this
> upgrade (python-tinycss2), and others probably unrelated
> (python-geventhttpclient).
> 
> Could you take a look?
> 
> It would be nice if we were sure to be starting from a known-good state
> but that’s apparently not the case.  :-/
> 
> Thank you!

python-geventhttpclient fails to build because python-zope-event and
python-zope-interface aren't installed.  They're imported by
python-gevent, so I think they should be moved from its native-inputs
to its propagated-inputs.  Should I file a patch to fix this as a
separate report or should I send it to this one?

-- 
Matthew Kraai